# std::reference_wrapper< _Tp > Class Template Reference
[Function Objects]

Primary class template for reference_wrapper. More...

Inheritance diagram for std::reference_wrapper< _Tp >:
[legend]

List of all members.

## Public Types

- typedef _Tp type

## Public Member Functions

- reference_wrapper (_Tp &__indata)
- reference_wrapper (_Tp &&)
- reference_wrapper (const reference_wrapper< _Tp > &__inref)
- _Tp & get () const
- operator _Tp & () const
- template<typename... _Args> result_of< _M_func_type(_Args...)>
  ::type operator() (_Args &&...__args) const
- reference_wrapper & operator= (const reference_wrapper< _Tp > &__inref)

## Detailed Description

### template<typename _Tp>
class std::reference_wrapper< _Tp >

Primary class template for reference_wrapper.

Definition at line 392 of file functional.

The documentation for this class was generated from the following file:

- functional